changeset 197:78d9e09e151e

withdrew non-working -m switch
author Henry S. Thompson <ht@inf.ed.ac.uk>
date Wed, 23 Apr 2025 11:04:53 +0100
parents 436c976ed27f
children 3910d035efb1
files bin/runme.sh
diffstat 1 files changed, 3 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/bin/runme.sh	Tue Apr 22 14:32:50 2025 +0100
+++ b/bin/runme.sh	Wed Apr 23 11:04:53 2025 +0100
@@ -13,13 +13,15 @@
 
 if [ "$1" = "-m" ]
 then
+ echo "Not working???"
+ exit 1
  ss={$2..$3}
  shift; shift; shift;
  echo $(date) Launching $SLURM_JOB_NUM_NODES nodes in $(pwd) for runme -a $ss "$@" from $(hostname) to do $SLURM_NTASKS tasks, $SLURM_CPUS_PER_TASK cpus each 1>&2
  for i in $(eval echo $ss)
  do
   echo $(date) Launching $i
-  srun --unbuffered -c $SLURM_CPUS_PER_TASK $W/shared/bin/sing $W/hst/bin/_runme.sh -a $i "$@" &
+  srun -N1 --unbuffered -c $SLURM_CPUS_PER_TASK $W/shared/bin/sing $W/hst/bin/_runme.sh -a $i "$@" &
   echo $(date) Launched $i
  done
  wait